# $Revision: 1.39 $, $Date: 2011/08/31 18:30:22 $
#
# Conditional build:
%bcond_with	kerberos5	# build with kerberos5 support
#
Summary:	The quintessential all-purpose communications program
Summary(pl.UTF-8):	Kwintesencja programów komunikacyjnych
Name:		ckermit
Version:	8.0.211
Release:	7
License:	Special (see Copyright Notice)
Group:		Applications/Communications
Source0:	ftp://kermit.columbia.edu/kermit/archives/cku211.tar.gz
# Source0-md5:	e9e5f3e988a526e49cf177ca18719827
Source1:	cku-%{name}.local.ini
Source2:	cku-%{name}.modem.generic.ini
Source3:	cku-%{name}.locale.ini
Source4:	cku-%{name}.phone
Patch0:		cku-makefile.patch
Patch1:		%{name}-gcc4.patch
Patch2:		%{name}-openssl-clash.patch
URL:		http://www.columbia.edu/kermit/
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, cross-platform
approach to connection establishment, terminal sessions, file transfer
and management, character-set translation, and automation of
communication tasks.

%description -l pl.UTF-8
C-Kermit to pakiet do komunikacji zarówno szeregowej, jak i sieciowej,
oferujący spójny, niezależny od medium, międzyplatformowy sposób
ustanawiania połączenia, sesji terminalowych, przesyłania i
zarządzania plikami, translacji kodowania znaków, automatyki zadań
komunikacyjnych.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%if %{with kerberos5}
%{__make} linux-PLD+krb5heimdal+openssl+zlib+pam+shadow \
%else
%{__make} linux-PLD+openssl+zlib+pam+shadow \
%endif
	CC="%{__cc}" \
	CC2="%{__cc}" \
	OPT="%{rpmcflags}" \
	LNKFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}/kermit}

perl -pi -e "s|%{_prefix}/local/bin/kermit|%{_bindir}/kermit|g" ckermit.ini

install wermit $RPM_BUILD_ROOT%{_bindir}/kermit
install ckuker.nr $RPM_BUILD_ROOT%{_mandir}/man1/kermit.1
install ckermit.ini $RPM_BUILD_ROOT%{_sysconfdir}/kermit
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.local.ini
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.modem.ini
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.locale.ini
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.phone

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt COPYING.TXT
%dir %{_sysconfdir}/kermit
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kermit/*
%attr(755, root, root) %{_bindir}/kermit
%{_mandir}/man1/kermit.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ckermit.spec,v $
Revision 1.39  2011/08/31 18:30:22  arekm
- release 7

Revision 1.38  2010/06/19 07:41:24  adamg
- release 6

Revision 1.37  2010/06/19 07:39:48  adamg
- pass CC,CC2

Revision 1.36  2010/04/11 06:26:45  arekm
- release 5

Revision 1.35  2009/07/06 13:39:21  baggins
- rel 4
- disabled kerberos support due to usage of ancient heimdal api

Revision 1.34  2009/07/02 23:57:11  baggins
- rel 3
- switch to heimdal kerberos
- removed krb patch (obsolete?)

Revision 1.33  2008/11/01 13:31:07  arekm
- rel 2; fix build

Revision 1.32  2008/08/23 11:54:45  sls
- BR: ncurses-devel

Revision 1.31  2007/03/31 23:51:26  baggins
- fix const name clash with openssl

Revision 1.30  2007/03/31 23:21:51  baggins
- much needed real update

Revision 1.29  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.27  2006/12/10 13:07:35  darekr
- BR perl-base

Revision 1.26  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.25  2005/06/12 15:13:00  pluto
- gcc4 fix.

Revision 1.24  2004/04/13 19:34:12  areq
- 8.0.211

Revision 1.23  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.22  2003/09/30 20:36:07  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.21  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.20  2003/08/06 16:46:51  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.19  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:46:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/22 14:51:12  areq
- 8.0.208

Revision 1.16  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.15  2002/10/10 12:40:00  marcus
- use new %%doc

Revision 1.14  2002/04/25 16:05:27  arturs
fixed a small typo

Revision 1.13  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/13 13:45:09  qboosh
- pl translations, removed license text from description

Revision 1.10  2001/08/10 17:17:29  kloczek
- release 4: rebuild against gmp 3.1.1.

Revision 1.9  2001/05/12 21:08:59  kloczek
- release 3: ebuild against openssl 0.9.6a.

Revision 1.8  2001/05/02 02:43:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/08/21 23:16:14  kloczek
- spec adapterized.

Revision 1.6  2000/07/14 19:37:30  baggins
- typo

Revision 1.5  2000/07/14 19:04:04  baggins
- release 2
- s|/usr/local/bin|%{_bindir}| in ckermit.ini

Revision 1.4  2000/07/13 21:43:28  kloczek
- cosmetics.

Revision 1.3  2000/07/13 18:39:12  baggins
- typo

Revision 1.2  2000/07/13 18:18:58  baggins
- typo

Revision 1.1  2000/07/13 17:51:00  baggins
- initial revision, ready to go
